  With ds_masterpartslist.FieldDefs Do
  Begin
    Add('file',ftstring,35,false);
    Add('categoryname',ftstring,60,false);
    Add('price',ftlargeint,0,false);
    Add('mass',ftfloat,0,false);
    Add('volume',ftfloat,0,false);
    Add('description',ftinteger,0,false);
  End;
  ds_masterpartslist.CreateTable;
  ds_masterpartslist.Open;

